Subject: bug#43117: [PATCH] Add .git-blame-ignore-revs file

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Oct 2020 21:41:24 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 18 Oct 2020 11:25:31 -0700
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > We already mark such commits with a leading semi-colon.  Will this
> > file simply repeat those commits?
> 
> Yes, if we want the commits ignored by "git blame".  But of course it
> could include only some of them, as well as commits not marked with a
> leading semi-colon.

Why would someone want to skip commits in "git blame"?  We need to
have agreed-upon criteria or policy for that, otherwise each one of
use will step on the others' toes.  "git blame" is an important
forensics command, so hiding commits from it might surprise someone,
if it's unexpected.

> >> > And what should be done about it while merging from the release branch
> >> > to master?
> >>
> >> I don't think anything in particular needs doing, since the sha-1 will
> >> stay the same after a merge.  Or am I missing something?
> >
> > Not all of the commits get merged.  Some are skipped.
> 
> Wouldn't having non-existent commit ids in there mostly be an aesthetic
> problem?

I don't know.  Will it?  I have no experience with this feature.